<?php
session_start();

header("Access-Control-Allow-Origin: *");

require_once("./conexao.php");

$conn = conn();

if (!empty($_POST['email']) && !empty($_POST['pass'])) {

  $getUser = mysqli_query($conn, "SELECT * FROM user WHERE status = '0' AND email = '".$_POST['email']."' AND senha = '".md5($_POST['pass'])."'");

  if (mysqli_num_rows($getUser) > 0) {

    $dadosUser = mysqli_fetch_array($getUser);

    $_SESSION['id_user'] = $dadosUser['id'];

    $_SESSION['nome_user'] = $dadosUser['nome'];

    $_SESSION['tipo_user'] = $dadosUser['tipo_user'];

    $id_user = $dadosUser['id'];
    $loja_id = $dadosUser['loja_id'];
	
    //pegar privilégios 
    $getPrivilegios = mysqli_query($conn, "SELECT * FROM controle_privilegios WHERE id_user = '$id_user'");
    $contador = mysqli_num_rows($getPrivilegios);
    $array__privilegios = array();
    if ($getPrivilegios) {
        for ($cc=0;$cc<$contador;$cc++) {
            $lista___privilegios = mysqli_fetch_array($getPrivilegios);
            array_push($array__privilegios, $lista___privilegios[3]);
        }
    }
    $_SESSION['PRIVILEGIOS'] = $array__privilegios;
    
	
  	if(!empty($loja_id) && $loja_id > 1){
      $link = 'index.php';
  		// $link =	'faturamento.php';
      // if ($dadosUser['tipo_user'] == 1) {
      //   $link = 'index.php';
      // }
  	}else{
  		$link =	$dadosUser['tipo_user'] == 7 ? 'faturamento.php' : 'index.php';
      if ($dadosUser['id'] == '1' || $dadosUser['tipo_user'] == 1) {
        $link = 'index.php';
      }
  	}
    
    $var = array(
      'status'  => true,
      'msg'     => 'Logado com sucesso!',
      'url'     => $link
    );

  } else {
    $var = array(
      'status'  => false,
      'msg'     => 'Usuário não encontrado.'
    );
  }

} else {
  $var = array(
    'status'  => false,
    'msg'     => 'Todos os campos são obrigatórios.'
  );

}

echo json_encode($var); 